using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GTANetworkAPI;
using Newtonsoft.Json;
using ReallifeGamemode.Database.Entities;
using ReallifeGamemode.Server.Extensions;
using ReallifeGamemode.Database.Models;
using ReallifeGamemode.Server.Services;

namespace ReallifeGamemode.Server.Finance
{
  public class Paycheck
  {
    [JsonProperty("financialHelp")]
    public float FinancialHelp { get; set; } = 0;

    [JsonProperty("financialInterest")]
    public float FinancialInterest { get; set; } = 0;

    [JsonProperty("vehicleTaxation")]
    public int VehicleTaxation { get; set; } = 0;

    [JsonProperty("propertyTaxation")]
    public float PropertyTaxation { get; set; } = 0;

    [JsonProperty("wage")]
    public int Wage { get; set; } = 0;

    [JsonProperty("amount")]
    public int Amount { get; set; } = 0;

    [JsonProperty("rentalFees")]
    public int RentalFees { get; set; } = 0;

    public Paycheck(float FinancialHelp, float FinancialInterest, int VehicleTaxation, float PropertyTaxation, int Wage, int Amount, int RentalFees)
    {
      this.FinancialHelp = FinancialHelp;
      this.FinancialInterest = FinancialInterest;
      this.VehicleTaxation = VehicleTaxation;
      this.PropertyTaxation = PropertyTaxation;
      this.Wage = Wage;
      this.Amount = Amount;
      this.RentalFees = RentalFees;
    }
  }
}
